Subject: console-common: warning about ignoring boot-time keymaps goes by too fast

From: Peter Maydell <[email-masked]>
Date: Thu, 21 Jun 2001 17:27:10 +0100

Package: console-common
Version: 0.7

I did a dist-upgrade from stable to testing. I use debconf's text 
interface. console-common asks
What policy do you want to apply regarding keymaps ? [s] 
to which I say 'd' (don't touch). console-common then displays a warning:

===begin===
A boot-time keymap in an old location is about to be ignored.
You have asked the keymap configuration tool not to touch an existing keymap you installed, or you asked for higher-priority
questions only to be asked and the tool decided not to mess with your existing setup. 

However, you have file(s) that were recognized as boot-time keymaps by older versions of the console utilities, either in
/etc/kbd/ or in /etc/console-tools/, named default.kmap(.gz) and these are now ignored. 

If you wish that one of them takes effect on next reboot, you will have to move it to /etc/console/boottime.kmap.gz manually. 
===endit===

but does not pause once it has done so. Therefore the upgrade proceeds and 
the warning flashes past off the top of the screen. I'd never have seen it
if I hadn't been logging the whole upgrade to a text file.

Peter Maydell